Important

Helios features are now enabled during weekly update windows and are no longer directly tied to SingleStore engine releases. Refer to the release notes to view the latest features available in your Helios cluster.

spec

Endpoint URL

/api/v2/spec

HTTP Method

GET

Description

Returns the OpenAPI 3.0 specification for this service.

Request Parameter

The GET '/spec' API call does not take any request parameters.

Response

Status Code

Message

Description

200

OK

Specifies a successful API call and returns the OpenAPI specification for this service.

Refer to the Data API Error Handling topic for more Data API Response Status codes.

Example (cURL)

curl https://svc-10444e3f-afeb-46be-b186-a8c64b99f726-dml.aws-ireland-1.svc.singlestore.com/api/v2/spec

Note

If a HTTP method is not specified, curl uses the GET method by default.

Last modified:

Was this article helpful?